import EthChain from "./Chains/EthChain";
import { EnumChains, SelectConnect } from "./types";
interface Props {
    selectConnect: SelectConnect;
}
declare class WalletManager {
    supportChains: EnumChains[];
    eth: EthChain;
    selectConnect: SelectConnect;
    constructor({ selectConnect }: Props);
    /**
     * show connect modal and connect
     */
    connect(): Promise<any>;
    /**
     * todo set up with local connection state
     */
    useCache(): void;
}
export default WalletManager;
