/**
 * @name BaseWallet
 * @author openocean
 * @date 2021/4/21
 * @desc
 */
import { EnumChains, EnumWalletType } from "../types";
declare abstract class BaseWallet {
    abstract readonly name: string;
    abstract readonly icon: string;
    abstract readonly supportChains: EnumChains[];
    abstract readonly type: EnumWalletType;
    address?: string;
    chain?: EnumChains;
    chainId?: string | number;
    abstract requestConnect(): Promise<string>;
}
export default BaseWallet;
