import { EnumChains, EnumWalletName, EnumWalletType } from "../types";
import BaseWallet from "./BaseWallet";
import Web3 from 'web3';
declare class WalletConnect extends BaseWallet {
    name: EnumWalletName;
    icon: any;
    supportChains: EnumChains[];
    type: EnumWalletType;
    sdk: Web3 | null;
    infuraId?: string;
    /**
     * connect metamask and get wallet address
     * @param chainId specific chainId,throw error when not match
     * @param config
     */
    requestConnect(chainId?: number, config?: any): Promise<string>;
}
export default WalletConnect;
